#pragma once

class emulate1
{
public:
	const char * getPlatformABI();
	emulate1();
	~emulate1();

	void init(char* buffer2);
	void F_open(char* buffer2);
	void  key(int filename);
	void step(void);
	unsigned int * Get_VM(void);
	void SetMode1(int mode);
	int GetMode1();
	void SetJOY1(int type);
	int GetJOY1(void);
	void SaveSettings(void);
	void SetTapeTraps(int tt);
	int GetTapeTraps(void);
	void reset(void);
	void save(void);
	char Border(void);
	char * Get_SB(void);
	char * Get_FN(void);
	int Get_stereo(void);
	void Set_stereo(int arg);
	int Gett(void);
	char * gethomedir(void);
	void sethomedir(void);
	void DumpPSG1(int begin);
	void SetDisk(int n);
	char * GetDisk(int n);
	void F_open_full(void);
	void NMI(void);
};

